#INCLUDE "class.CH"
#INCLUDE "dcdialog.CH"

CLASS DataTransfer

EXPORTED:

VAR vars

INLINE METHOD Init()

::vars := {}

RETURN self

* --------

INLINE METHOD setVar( cVarName, xData )

LOCAL nFound

nFound := Ascan(::vars,{|a|a[1]==Upper(cVarName)})

IF nFound == 0
  AAdd(::vars,{Upper(cVarName),xData})
ELSE
  ::vars[nFound,2] := xData
ENDIF

RETURN self

* --------

INLINE METHOD getVar( cVarName )

LOCAL nFound := Ascan(::vars,{|c|Upper(c)==Upper(cVarName)})

IF nFound > 0
  RETURN ::vars[nFound,2]
ENDIF

RETURN nil

* --------

INLINE METHOD getAllVars()

RETURN ::vars

ENDCLASS
